% !TeX spellcheck = en_GB
% arara: pdflatex: { draft: true }
% arara: makeglossaries
% arara: pdflatex: { synctex: true }

\documentclass[a4paper,12pt]{scrartcl} % {scrartcl} n\"{u}tzt R\"{a}nder besser aus als {article} %



\usepackage[pdftex,bookmarks=false]{hyperref}
\hypersetup{
		bookmarksopen,
		bookmarksopenlevel={1},
		bookmarksnumbered,
		pdftitle = {Projektbericht},
		pdfsubject = {Onlineidentifikation},
		colorlinks,
		citecolor=black,
		linkcolor=black,
		urlcolor=darkgray}
\usepackage[english]{babel}             % deutsche Sonderzeichen benutzen %
\usepackage[utf8]{inputenc}          % wg. deutscher Umlaute und sz im Quelltext %
%\usepackage[latin1]{inputenc}
\usepackage{amsmath}                    % Ersatz f\"{u}r eqnarray (links ausgerichtet)
\usepackage{amsfonts}                   % fonts
\usepackage{amssymb}                    % symbols
\usepackage{fancyhdr}                   % fancy header
\usepackage{graphicx}                   % graphics
\usepackage{textcomp}                   % graphics
\usepackage{wrapfig}
\usepackage{float}
%\usepackage{floatflt}                   % graphics floating (not used)
%\usepackage{picins}                     % graphics floating
\usepackage{color}
\usepackage{listings}
\usepackage{paralist}
\usepackage[english,draft]{varioref}
\usepackage{color}
\usepackage{booktabs}
\usepackage[markup=nocolor]{changes} %für durchstreichen mit deleted
\usepackage{siunitx} % Für normkonforme Einheiten
\usepackage[version=3]{mhchem} % Für chemische Reaktionen
\usepackage{subfig} %2 Grafiken nebeneinander
\usepackage{multirow}
\usepackage[acronym]{glossaries} %for acronyms / abbreveations


%\usepackage[
%backend=biber,
%style=numeric,
%citestyle=numeric,
%sortlocale=de_DE,
%natbib=true,
%url=false,
%doi=true,
%eprint=false
%]{biblatex}
%\addbibresource{biblio.bib}

\newcommand*\conj[1]{\overline{#1}} %für Logik, ermöglicht \conj zu schreiben statt overline

%%Kopfzeile erstellen
	\pagestyle{fancy}
	\fancyhf{}
	\fancyhead[R]{
	\begin{tabular}[b]{l}
    Project Report - Machine Learning - UniVR - 23/24 %Kopfzeile rechts
	\end{tabular}}
	%\fancyhead[L]{
	%\includegraphics[width=0.05\textwidth]{img/mauslogo.png}}
	\renewcommand{\headrulewidth}{0.4pt} %obere Trennlinie

%% Fußzeile ersellen
	\fancyfoot[R]{\thepage} %Seitennummer
	\fancyfoot[L]{} %Kopfzeile unten
	\renewcommand{\footrulewidth}{0.4pt} %untere Trennlinie



%% Zeilenabstand: 1 1/2-zeilig   (1.3)
\renewcommand{\baselinestretch}{1.2}

%% Absatzabstand
%\parskip{half}

%% erste Zeile eines Absatzes nicht einrcken
\parindent0em

%% Seitenumbruchsteuerung, bei wenigen Zeilen nach Überschrift am Zeilenende
\def\condbreak#1{\vskip 0pt plus #1\pagebreak[3]\vskip 0pt plus -#1\relax}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Anfang des Dokuments
%\begin{figure}[h]
%	\centering
%	\includegraphics[scale=0.9]{uebertragungskennlinie}
%	\caption{Übertragungskennlinie n-MOSFET}
%	\label{img:uebertragungskennlinie}
%\end{figure}

\newacronym{SVM}{SVM}{Support vector machine}
\newacronym{SVC}{SVC}{Support vector classifier}
\newacronym{LDA}{LDA}{Linear discriminant analysis}
\newacronym{PCA}{PCA}{Principal component analysis}
\newacronym{RFE}{RFE}{Recursive feature elimination}
\newacronym{RFECV}{RFECV}{Recursive feature elimination cross validation}
\newacronym{GBC}{GBC}{Gradient Boosting Classifier}
\newacronym{NB}{NB}{Naive Bayes}
\newacronym{GNB}{GNB}{Gaussian Naive Bayes}
\newacronym{VT}{VT}{Variance Threshold}
\newacronym{GAK}{GAK}{Global Alignment Kernel}




\makeglossaries

\begin{document}
\titlehead{
\begin{minipage}[t]{0.3\textwidth}
	\flushleft
	\includegraphics[scale=0.05]{logo.png}
\end{minipage}
\begin{minipage}[t]{0.7\textwidth}
	\flushright
	\vspace{-2.5cm}
	\footnotesize{
		Università di Verona\\ 
		Fundamentals of Machine Learning\\Fall 2023/24\\Prof. Marco Cristani}\\
 	\vspace{3cm}
\end{minipage}
}


\title{Human Activity Recognition}

\subject{Project Report - Fundamentals of Machine Learning}

\author{
Phil Borkenhagen\\ % \hspace{0.3cm} 223605IASM\\
%Labortermin : Freitag 8-12 (ungerade Woche)
%\vspace{0.3cm}\\
% \underline{Tutor} : Bergk, Geronimo David Bodo\\
%\vspace{0.3cm}
}


\date{\today} %aktuelles Datum
\maketitle
\thispagestyle{empty}

\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tableofcontents
\newpage
\listoffigures
\listoftables
%\lstlistoflistings
%\newpage
\printglossary[type=\acronymtype,title=Glossary,nonumberlist]
\newpage

\section{Introduction}
\input{sections/introduction.tex}


\section{Data}
\input{sections/dataset.tex}

\section{Preprocessing}
\input{sections/processing_pipeline.tex}

\section{Static analysis}
\label{sec:static_analysis}
The first analysis is done by transforming the time series data into static data. For the code see file \textbf{static\_analysis.ipynb}.

\subsection{Static feature generation}
\label{ssec:static_feat_gen}
\input{sections/feature_generation.tex}


\subsection{Feature selection}
\label{ssec:feature_selection}
\input{sections/feature_selection.tex}


\subsection{Model selection}
\label{ssec:static_modelselection}
\input{sections/model_selection.tex}


\subsection{Training}
\input{sections/training.tex}

\subsection{Results}
\label{ssec:static_results}
\input{sections/status_results.tex}


\section{Time series analysis}
\label{sec:timeseriesanalysis}
An alternative way of analysing the time series data is to use the time series as is and train a specific time series model for predicting the classes. This will be analysed in the following part. First, features are generated from the data and the data is split into equal sized windows, see \ref{ssec:ts_features}.  Then a specific \gls{SVC} model is explained in \ref{ssec:ts_modelselection} and the results are analysed in \ref{ssec:ts_results}. The belonging code can be found in \textbf{timeseries\_analysis\_svm.ipynb}.


\subsection{Features}
\label{ssec:ts_features}
\input{sections/ts_features.tex}

\subsection{Model selection}
\label{ssec:ts_modelselection}
\input{sections/ts_model.tex}



\subsection{Results}
\label{ssec:ts_results}
\input{sections/ts_results.tex}

\subsubsection{LDA for online prediction}
\label{sssec:lda_online_pred}
\input{sections/ts_lda.tex}


\section{Conclusion}
\label{sec:evaluation}
\input{sections/evaluation.tex}


\bibliography{biblio} 
\bibliographystyle{ieeetr}


% \printbibliography
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\end{document}